MQX and ColdFire v1

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

MQX and ColdFire v1

Jump to solution
626 Views
sebasira
Senior Contributor I

Hello!

 

I'm currently working with MCF51QE128 and CW v6.3. I'd like to start using MQX with this MCU (I've read it is supported). I'd like to know if I should use MQX or MQX-Lite... Are both of them supported? Or only the lite version?

 

I'm asking this because I want to know how much FLASH and RAM would the RTOS (both version of it) use and how much will I have available for my App

 

And one more thing. Can I still continue working with CW v6.3 or should I use the new Eclipse IDE (CW v10)? Can I use IAR IDE?

 

 

I hope you can guide me, thanks in advance!

 

 

SebaS

Labels (1)
0 Kudos
1 Solution
440 Views
c0170
Senior Contributor III

Hello,

MQX Lite supports only Kinetis L series at the moment. Your option is MQX only.  You did not define which version of MQX you want to use.

Current MQX 4.0 includes BSP for MCF51 tower board, only one from CF v1. MQX 4.0 supports only CW 10.x.

Older version (3.8.1) provides BSP also for MCF51QM tower board. They might help you during development your own bsp for your board.

Regards,

MartinK

View solution in original post

0 Kudos
2 Replies
441 Views
c0170
Senior Contributor III

Hello,

MQX Lite supports only Kinetis L series at the moment. Your option is MQX only.  You did not define which version of MQX you want to use.

Current MQX 4.0 includes BSP for MCF51 tower board, only one from CF v1. MQX 4.0 supports only CW 10.x.

Older version (3.8.1) provides BSP also for MCF51QM tower board. They might help you during development your own bsp for your board.

Regards,

MartinK

0 Kudos
440 Views
TomE
Specialist II

I would suggest you search for "MCF51" in the MQX group as that search gets between 15 and 30 hits:

MQX Software Solutions

I see you've already got 5 posts in that group. Didn't you find an answer there?

Tom